Std ToggleVisibility: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Marked this version for translation)
(20 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:12-->
{{Docnav
|[[Std_TextureMapping|Std TextureMapping]]
|[[Std_ShowSelection|Std ShowSelection]]
|[[Std_View_Menu|Std View Menu]]
|IconL=
|IconR=
|IconC=Freecad.svg
}}


<!--T:1-->
<!--T:1-->
<!--Empty=1 to suppress icon-->
{{GuiCommand
{{GuiCommand
|Name=Std ToggleVisibility
|Name=Std ToggleVisibility
|Empty=1
|MenuLocation={{StdMenu|[[Std View Menu|View]]}} → Visibility → Select Option
|MenuLocation=View → Toggle visibility
|Workbenches=All
|Workbenches=All
|Shortcut={{KEY|Space}}
|Shortcut={{KEY|Space}}
|SeeAlso=[[Std_ShowSelection|Std ShowSelection]], [[Std_HideSelection|Std HideSelection]], [[Std_ToggleObjects|Std ToggleObjects]], [[Std_ShowObjects|Std ShowObjects]], [[Std_HideObjects|Std HideObjects]]
}}
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
Toggles the visibility of objects.


==Usage== <!--T:3-->
<!--T:13-->
The '''Std ToggleVisibility''' command toggles the visibility of selected objects in [[3D_view|3D views]].
# Select object(s) in the tree view.
# There are several ways to Toggle Visibility
#* Using the {{KEY|Spacebar}} shortcut to toggle visibility on/off
#* Right-Click on object and select {{KEY|Toggle Visibility}}
#* Using {{MenuCommand|{{StdMenu|[[Std View Menu|View]]}} → Visibility → Toggle Visibilty}} from the top menu


==Usage== <!--T:11-->
==Notes==


<!--T:3-->
==Scripting==
# Select one or more objects.
#* Invisible objects can be selected in the [[Tree_view|Tree view]].
#* Be careful when you use {{KEY|Ctrl}}+{{KEY|A}} to select all objects in the Tree view. This will also selects sub-elements of [[PartDesign_Body|PartDesign bodies]] and objects used for [[Part_Boolean|Part Booleans]]. In most cases these should stay invisible.
#* Objects used for [[Part_Boolean|Part Booleans]] are also selected when you use {{KEY|Ctrl}}+{{KEY|A}} in a 3D view.
# There are several ways to invoke the command:
#* Select the {{MenuCommand|View → Toggle visibility}} option from the menu.
#* Select the {{MenuCommand|View → Visibility → Toggle visibility}} option from the menu.
#* Select the {{MenuCommand|Toggle visibility}} option from the Tree view context menu. This option is not available in the [[PartDesign_Workbench|PartDesign Workbench]].
#* Select the {{MenuCommand|Toggle visibility}} option from the 3D view context menu.
#* Use the keyboard shortcut: {{KEY|Space}}.


<!--T:6-->
==Notes== <!--T:7-->

{{Std Base navi}}
<!--T:14-->
* The action of this command cannot be undone with [[Std_Undo|Std Undo]].
* The visibility of an object can also be changed through its related {{PropertyData|Visibility}} property in the [[Property_editor|Property editor]] or the [[Combo_view|Combo view]].

==Scripting== <!--T:15-->

<!--T:16-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:17-->
Use the {{incode|show}} and {{incode|hide}} methods of an object to change its visibility.

</translate>
{{Code|code=
import FreeCADGui

obj = FreeCADGui.ActiveDocument.myObjectName

if obj.Visibility == True:
obj.hide()
else:
obj.show()
}}
<translate>

<!--T:18-->
{{Docnav
|[[Std_TextureMapping|Std TextureMapping]]
|[[Std_ShowSelection|Std ShowSelection]]
|[[Std_View_Menu|Std View Menu]]
|IconL=
|IconR=
|IconC=Freecad.svg
}}


{{Userdocnavi}}
</translate>
</translate>
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 20:30, 9 April 2020

Std ToggleVisibility

Menu location
View → Toggle visibility
Workbenches
All
Default shortcut
Space
Introduced in version
-
See also
Std ShowSelection, Std HideSelection, Std ToggleObjects, Std ShowObjects, Std HideObjects

Description

The Std ToggleVisibility command toggles the visibility of selected objects in 3D views.

Usage

  1. Select one or more objects.
    • Invisible objects can be selected in the Tree view.
    • Be careful when you use Ctrl+A to select all objects in the Tree view. This will also selects sub-elements of PartDesign bodies and objects used for Part Booleans. In most cases these should stay invisible.
    • Objects used for Part Booleans are also selected when you use Ctrl+A in a 3D view.
  2. There are several ways to invoke the command:
    • Select the View → Toggle visibility option from the menu.
    • Select the View → Visibility → Toggle visibility option from the menu.
    • Select the Toggle visibility option from the Tree view context menu. This option is not available in the PartDesign Workbench.
    • Select the Toggle visibility option from the 3D view context menu.
    • Use the keyboard shortcut: Space.

Notes

  • The action of this command cannot be undone with Std Undo.
  • The visibility of an object can also be changed through its related DataVisibility property in the Property editor or the Combo view.

Scripting

See also: FreeCAD Scripting Basics.

Use the show and hide methods of an object to change its visibility.

import FreeCADGui

obj = FreeCADGui.ActiveDocument.myObjectName

if obj.Visibility == True:
  obj.hide()
else:
  obj.show()